QwtPlainText(3)

NAME
QwtPlainText -

SYNOPSIS

Inherits QwtText.

Detailed Description

Plain text drawing support.

Definition at line 130 of file qwt_text.h.

  Public Member Functions
QwtPlainText (const QString &text, const QFont &, int align=Qt::AlignCenter|Qt::WordBreak|Qt::ExpandTabs, const QColor &color=QColor(), const QPen &pen=QPen(Qt::NoPen), const QBrush &brush=QBrush(Qt::NoBrush))
QwtPlainText (const QString &text, const QFont &font, const QColor &color)
virtual QwtText * clone () const
virtual int heightForWidth (int width) const
virtual QRect boundingRect (QPainter *painter=0) const
virtual void draw (QPainter *painter, const QRect &rect) const

Constructor & Destructor Documentation

  QwtPlainText::QwtPlainText (const QString & text, const QFont & font, int align = Qt::AlignCenter | Qt::WordBreak | Qt::ExpandTabs, const QColor & color = QColor(), const QPen & pen = QPen(Qt::NoPen), const QBrush & brush = QBrush(Qt::NoBrush))

Constructor.

Parameters:
    text Contents of the text
    font Font of the text
    align Or'd values of Qt::AlignmentFlags for drawing the text
    color Color of the text
    pen Pen to draw the enclosing rectangle
    brush Brush to draw the enclosing rectangle

Definition at line 203 of file qwt_text.cpp.

Referenced by clone().

  QwtPlainText::QwtPlainText (const QString & text, const QFont & font, const QColor & color)

Constructor.

Parameters:
    text Text
    font Font
    color Color

Definition at line 216 of file qwt_text.cpp.

Member Function Documentation

  QRect QwtPlainText::boundingRect (QPainter * painter = 0) const [virtual]

Returns the bounding rectangle.

The bounding rectangle is calculated with respect to (0, 0). The left and top border depend on the alignment flags:

•   the left border is at -width, -width/2 or 0 for Qt::AlignRight, Qt::AlignHCenter or Qt::AlignLeft respectively

•   the top border is at 0, -height/2 or -height for Qt::AlignTop, Qt::AlignVCenter or Qt::AlignBottom respectively

Use for instance QRect::moveBy(x,y), before drawing the text into the rectangle.

Implements QwtText.

Definition at line 261 of file qwt_text.cpp.

References QwtText::alignment(), QwtText::font(), QwtText::fontMetrics(), and QwtText::text().

  QwtText * QwtPlainText::clone () const [virtual]

Create a clone.

Implements QwtText.

Definition at line 224 of file qwt_text.cpp.

References QwtText::alignment(), QwtText::color(), QwtText::font(), QwtPlainText(), QwtText::rectBrush(), QwtText::rectPen(), and QwtText::text().

  void QwtPlainText::draw (QPainter * painter, const QRect & rect) const [virtual]

Draw the text in a clipping rectangle.

Parameters:
    painter Painter
    rect Clipping rectangle

Implements QwtText.

Definition at line 246 of file qwt_text.cpp.

References QwtText::alignment(), QwtText::color(), QwtPainter::drawRect(), QwtPainter::drawText(), QwtText::font(), QwtText::rectBrush(), QwtText::rectPen(), and QwtText::text().

  int QwtPlainText::heightForWidth (int width) const [virtual]

Find the height for a given width.

Parameters:
    width Width

Returns:
    height Height

Implements QwtText.

Definition at line 235 of file qwt_text.cpp.

References QwtText::alignment(), QwtText::fontMetrics(), and QwtText::text().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.